### Enumeration

# GLib TestSubprocessFlags

#### Declaration

    flags GLib.TestSubprocessFlags

#### Description [src]

Flags to pass to `g_test_trap_subprocess()` to control input and output.

Note that in contrast with g_test_trap_fork(), the default is to not show stdout and stderr.

#### Members

Name | Description
--- | ---
`G_TEST_SUBPROCESS_DEFAULT` | Default behaviour. Since: 2.74
`G_TEST_SUBPROCESS_INHERIT_STDIN` | If this flag is given, the child process will inherit the parent’s stdin. Otherwise, the child’s stdin is redirected to `/dev/null`.
`G_TEST_SUBPROCESS_INHERIT_STDOUT` | If this flag is given, the child process will inherit the parent’s stdout. Otherwise, the child’s stdout will not be visible, but it will be captured to allow later tests with g_test_trap_assert_stdout().
`G_TEST_SUBPROCESS_INHERIT_STDERR` | If this flag is given, the child process will inherit the parent’s stderr. Otherwise, the child’s stderr will not be visible, but it will be captured to allow later tests with g_test_trap_assert_stderr().